Bug 510054 - Rotating external display crashes displays applet, can't rotate it back
Rotating external display crashes displays applet, can't rotate it back
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 11:12 EDT by Jared Smith
Modified: 2009-09-09 20:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 20:28:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jared Smith 2009-07-07 11:12:19 EDT
Description of problem:

While helping out with the "Fit and Finish" test day, I plugged in an external monitor, pulled up Evince on that monitor, and used the displays applet to rotate that screen (set it to "Left" instead of "Normal").  That worked, but caused the displays applet to crash.

Now if I use gnome-display-properties to try to rotate the LCD back to its normal position, I get the following error:

Could not apply the selected configuration"
Method "ApplyConfiguration" with signature "" on interface "org.gnome.SettingsDaemon.XRANDR" doesn't exist

Version-Release number of selected component (if applicable):

control-center-2.26.0-6.fc11.x86_64
gnome-settings-daemon-2.26.1-7.fc11.x86_64

How reproducible:

Tried it twice, happened both times.

Steps to Reproduce:
1. Explained above

Actual results:

Can't rotate screen back

Expected results:

Ability to rotate the screen back

Additional info:

Using a MacBookPro (MacBookPro3,1) Santa Rosa with an external Acer X221W LCD connected via DVI.  Output of xrandr is:

[jsmith@hockey ~]$ xrandr 
Screen 0: minimum 320 x 200, current 2340 x 1440, maximum 8176 x 8192
DVI-I-0 connected 900x1440+1440+0 left (normal left inverted right x axis y axis) 474mm x 296mm
   1680x1050      60.0 +   59.9  
   1280x1024      75.0     60.0  
   1440x900       75.0*    59.9  
   1280x960       60.0  
   1280x720       60.0  
   1024x768       75.0     70.1     60.0  
   832x624        74.6     75.0  
   800x600        72.2     75.0     60.3     56.2  
   640x480        75.0     72.8     66.7     59.9  
   720x400        70.1  
LVDS-0 connected 1440x900+0+0 (normal left inverted right x axis y axis) 332mm x 207mm
   1440x900       60.0*+
   1152x864       75.0  
   1024x768       85.0     75.0     70.1     60.0  
   832x624        74.6  
   800x600        85.1     72.2     75.0     60.3     56.2  
   640x480        85.0     72.8     75.0     59.9  
   720x400        85.0  
   640x400        85.1  
   640x350        85.1  

By running "xrandr --output DVI-I-0 --rotate normal", I was able to rotate the screen back to it's normal orientation.
Comment 1 Matthias Clasen 2009-08-25 01:07:04 EDT
Are you still seeing this ? I have used the display capplet for some extensive rotation testing lately, and not seen any crashes.
Comment 2 Matthias Clasen 2009-09-09 20:28:20 EDT
I've tried, but couldn't make the capplet crash, so I consider this fixed.
Please reopen if you still see this crash.

Note You need to log in before you can comment on or make changes to this bug.